Loading...
Searching...
No Matches
filter.h File Reference

This header defines Filter and all of it's subclasses. More...

## Classes

class | dcmtk::log4cplus::spi::Filter
| Users should extend this class to implement customized logging event filtering. More...
class | dcmtk::log4cplus::spi::DenyAllFilter
| This filter drops all logging events. More...
class | dcmtk::log4cplus::spi::LogLevelMatchFilter
| This is a very simple filter based on LogLevel matching. More...
class | dcmtk::log4cplus::spi::LogLevelRangeFilter
| This is a very simple filter based on LogLevel matching, which can be used to reject messages with LogLevels outside a certain range. More...
class | dcmtk::log4cplus::spi::StringMatchFilter
| This is a very simple filter based on string matching. More...

## Enumerations

enum | dcmtk::log4cplus::spi::FilterResult { dcmtk::log4cplus::spi::DENY , dcmtk::log4cplus::spi::NEUTRAL , dcmtk::log4cplus::spi::ACCEPT }

## Functions

DCMTK_LOG4CPLUS_EXPORT FilterResult | dcmtk::log4cplus::spi::checkFilter (const Filter *filter, const InternalLoggingEvent &event)
| This method is used to filter an InternalLoggingEvent.

## Detailed Description

This header defines Filter and all of it's subclasses.

## Enumeration Type Documentation

## FilterResult

enum dcmtk::log4cplus::spi::FilterResult

The possible results a filter can give

Enumerator
DENY | The log event must be dropped immediately without consulting with the remaining filters, if any, in the chain.
NEUTRAL | This filter is neutral with respect to the log event; the remaining filters, if if any, should be consulted for a final decision.
ACCEPT | The log event must be logged immediately without consulting with the remaining filters, if any, in the chain.

## Function Documentation

## checkFilter()

DCMTK_LOG4CPLUS_EXPORT FilterResult dcmtk::log4cplus::spi::checkFilter | ( | const Filter * | filter,
|  | const InternalLoggingEvent & | event )

This method is used to filter an InternalLoggingEvent.

Parameters

  filter | the filter to be applied to the event
  event | the event where the filter is applied on

Remarks
  `filter` can be NULL.

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0